import type { AppRouteRecordRaw, AppRouteModule } from '@/router/types';
import { HomeOutlined } from '@ant-design/icons-vue';
import { routerList } from './routerList';

// 首页
const HomeRoute : AppRouteRecordRaw = {
	path: '/home',
	name: 'home',
	component: routerList.Home,
	meta: {
		title: '首页',
		icon: HomeOutlined
	},
};

//求职
const JobRoute : AppRouteRecordRaw = {
	path: '/job',
	name: 'job',
	component: routerList.Job,
	meta: {
		title: '求职招聘',
		icon: HomeOutlined
	},
	children: [
		{
			path: '/job/home',
			name: 'home',
			component: routerList.JobHome,
			meta: {
				title: '首页',
				icon: HomeOutlined
			},
		},
		{
			path: '/personal',
			name: 'personal',
			component: routerList.Personal,
			meta: {
				title: '个人求职',
				icon: HomeOutlined
			},
		},
		{
			path: '/company',
			name: 'company',
			component: routerList.Company,
			meta: {
				title: '企业招聘',
				icon: HomeOutlined
			},
		},
		{
			path: '/homemake',
			name: 'homemake',
			component: routerList.Homemake,
			meta: {
				title: '家政',
				icon: HomeOutlined
			},
		},
		{
			path: '/invite/meet',
			name: 'inviteMeet',
			component: routerList.InviteMeet,
			meta: {
				title: '招聘会',
				icon: HomeOutlined
			},
		},
		{
			path: '/information',
			name: 'information',
			component: routerList.Information,
			meta: {
				title: '职场资讯',
				icon: HomeOutlined
			},
		},
		{
			path: '/download',
			name: 'download',
			component: routerList.Download,
			meta: {
				title: '下载专区',
				icon: HomeOutlined
			},
		}
	]
};

//关于菊城人才
const AboutRoute : AppRouteRecordRaw = {
	path: '/about',
	name: 'about',
	component: routerList.About,
	meta: {
		title: '关于菊城人才',
		icon: HomeOutlined
	},
};



// 法律咨询
const LawRoute : AppRouteRecordRaw = {
	path: '/law',
	name: 'law',
	component: routerList.Law,
	meta: {
		title: '法律咨询',
		icon: HomeOutlined
	},
};

// 人才导师
const MentorRoute : AppRouteRecordRaw = {
	path: '/mentor',
	name: 'mentor',
	component: routerList.Mentor,
	meta: {
		title: '人才导师',
		icon: HomeOutlined
	},
};


// 专家组
const ExpertRoute : AppRouteRecordRaw = {
	path: '/expert',
	name: 'expert',
	component: routerList.Expert,
	meta: {
		title: '专家组',
		icon: HomeOutlined
	},
};

// 培训列表
const TrainRoute : AppRouteRecordRaw = {
	path: '/train',
	name: 'train',
	component: routerList.Train,
	meta: {
		title: '培训列表',
		icon: HomeOutlined
	},
};

// 党群关系
const RelationshipRoute : AppRouteRecordRaw = {
	path: '/relationship',
	name: 'relationship',
	component: routerList.Relationship,
	meta: {
		title: '党群关系',
		icon: HomeOutlined
	},
};

// 新闻中心
const NewsRoute : AppRouteRecordRaw = {
	path: '/news',
	name: 'news',
	component: routerList.News,
	meta: {
		title: '新闻中心',
		icon: HomeOutlined
	},
};

// 注册页面
const RegisterRoute : AppRouteRecordRaw = {
	path: '/register',
	name: 'register',
	component: routerList.News,
	meta: {
		title: '注册',
		icon: HomeOutlined
	},
};



export const routesModuleList : AppRouteModule[] = [
	HomeRoute,
	JobRoute,
	AboutRoute,
	LawRoute,
	MentorRoute,
	ExpertRoute,
	TrainRoute,
	RelationshipRoute,
	NewsRoute,
	RegisterRoute
];