import type { AppRouteRecordRaw, AppRouteModule } from '@/router/types';
import { HomeOutlined } from '@ant-design/icons-vue';
import { routerList } from './routerList';

// 首页
const ManageHomeRoute : AppRouteRecordRaw = {
	path: '/manage/home',
	name: 'manageHome',
	component: routerList.ManageHome,
	meta: {
		title: '管理中心首页',
		icon: HomeOutlined
	},
};


// 企业资料
const ManageBasicRoute : AppRouteRecordRaw = {
	path: '/manage/basic',
	name: 'basic',
	component: routerList.ManageBasic,
	meta: {
		title: '企业资料',
		icon: HomeOutlined
	},
};



// 企业招聘
const ManageInviteRoute : AppRouteRecordRaw = {
	path: '/manageInvite',
	name: 'manageInvite',
	component: routerList.ManageInvite,
	meta: {
		title: '企业招聘',
		icon: HomeOutlined
	},
};

// 简历管理
const ManageResumeRoute : AppRouteRecordRaw = {
	path: '/manageResume',
	name: 'resume',
	component: routerList.ManageResume,
	meta: {
		title: '简历管理',
		icon: HomeOutlined
	},
};


// 搜索简历
const ManageSearchRoute : AppRouteRecordRaw = {
	path: '/manageSearch',
	name: 'search',
	component: routerList.ManageSearch,
	meta: {
		title: '搜索简历',
		icon: HomeOutlined
	},
};

// 招聘会管理
const ManageMeetRoute : AppRouteRecordRaw = {
	path: '/manageMeet',
	name: 'meet',
	component: routerList.ManageMeet,
	meta: {
		title: '招聘会管理',
		icon: HomeOutlined
	},
};

// 消息中心
const ManageMessageRoute : AppRouteRecordRaw = {
	path: '/manageMessage',
	name: 'message',
	component: routerList.ManageMessage,
	meta: {
		title: '消息中心',
		icon: HomeOutlined
	},
};

// 用户管理
const ManageUserRoute : AppRouteRecordRaw = {
	path: '/manageUser',
	name: 'user',
	component: routerList.ManageUser,
	meta: {
		title: '用户管理',
		icon: HomeOutlined
	},
};




export const routesManageModuleList : AppRouteModule[] = [
	ManageHomeRoute,
	ManageBasicRoute,
	ManageInviteRoute,
	ManageResumeRoute,
	ManageSearchRoute,
	ManageMeetRoute,
	ManageMessageRoute,
	ManageUserRoute
];