import { ref , watch } from 'vue';
import { store } from '@/store/index';
import type { AppRouteRecordRaw } from '@/router/types';
import { HomeOutlined } from '@ant-design/icons-vue';

import LOGIN from '@/views/login/login.vue';
// import HOME from '@/views/home/home.vue';
import Layout from '@/components/layout/index.vue';
import { routesModuleList } from '@/router/dynamic';
import { routesManageModuleList } from '@/router/manageDynamic';

// // 登录路由
export const LoginRoute: AppRouteRecordRaw = {
	path: '/login',
	name: 'login',
	component: LOGIN,
	meta: {
		title: '登录'
	}
}


// layout路由
export const LayoutRoute : AppRouteRecordRaw = {
	path: '',
	name: 'layout',
	component: Layout,
	redirect: '/job/home',
	children: [
		...routesModuleList
	]
	// children: [
	// 	...routesManageModuleList
	// ]

}


export const basicRoutes = [
	LayoutRoute
]