import { Module } from 'vuex';
import { useAsRouter } from '@/hooks/useAsRouter';
import { routesModuleList } from '@/router/dynamic';
import { routesManageModuleList } from '@/router/manageDynamic';
import { LayoutRoute } from '@/router/routes';

const { routerDynamic, routerAdd, routerInit } = useAsRouter();


export interface PermissionState {
	menuList : string[];
	permissionList : string[] | null;
	breadcrumbList : string[];
}

const state : PermissionState = {
	menuList: [],
	permissionList: null,
	breadcrumbList: []
};

const mutations = {
	SET_PERMISSION(state, routes) {
		state.permissionList = routes
	},
	SET_MENU(state, menu) {
		console.log(3123,menu)
		state.menuList = menu
	}
};

const actions = {
	async FETCH_PERMISSION({
		commit
	}) {
		try {
			// let res = await LOGIN.permissions();
			// let arr = res.data.data;
			if(sessionStorage.getItem('role') === 'company') {
				LayoutRoute.children = [];
				commit('SET_MENU', []);
				commit('SET_PERMISSION', null);
				LayoutRoute.children = routesManageModuleList;
				commit('SET_MENU', LayoutRoute.children);
				console.log(...routesManageModuleList)
				routerAdd(LayoutRoute);
				let initialRoutes = routerInit();
				commit('SET_PERMISSION', [...initialRoutes]);
			} else {
				LayoutRoute.children = [];
				commit('SET_MENU', []);
				commit('SET_PERMISSION', null);
				LayoutRoute.children = routesModuleList;
				commit('SET_MENU', LayoutRoute.children);
				console.log(LayoutRoute.children)
				routerAdd(LayoutRoute);
				let initialRoutes = routerInit();
				commit('SET_PERMISSION', [...initialRoutes]);
			}
			
		} catch {

		}
	}
};

export const permissionsModule : Module<PermissionState> = {
	namespaced: true,
	state,
	mutations,
	actions
};